Class | Ramaze::GemSetup
In: | lib/ramaze/setup.rb
Parent: | Object

### Methods

gem install_gem new run setup setup_gem temp_argv

### Public Class methods

new(options = {}, &block)

### Public Instance methods

gem(name, version = nil, options = {})
install_gem(name, options)

tell rubygems to install a gem

run(&block)
setup()

all gems defined, let‘s try to load/install them

setup_gem(name, options)

first try to activate, install and try to activate again if activation fails the first time

temp_argv(extconf) {|| ...}

prepare ARGV for rubygems installer

[Validate]